# module PSON::Pure::Generator::GeneratorMethods::String::Extend

Module that holds the extinding methods if, the String module is included.

### Public Instance Methods

pson_create(o) click to toggle source

Raw Strings are PSON Objects (the raw bytes are stored in an array for the key “raw”). The Ruby String can be created by this module method.

    # File lib/puppet/external/pson/pure/generator.rb, line 356
    def pson_create(o)
      o['raw'].pack('C*')
    end